<?php
/**
 * Aliases for the special pages of the Push extension.
 *
 * @file Push.alias.php
 * @ingroup Push
 *
 * @author Jeroen De Dauw < jeroendedauw@gmail.com >
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'PushAll' => [ 'PushAll' ],
];

/** French (French) */
$specialPageAliases['fr'] = [
	'PushAll' => [ 'Exporter tout' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'PushAll' => [ 'دفع' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'PushAll' => [ 'دفع' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'PushAll' => [ 'پوش' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'PushAll' => [ 'Tikin' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'PushAll' => [ 'Bountañ' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'PushAll' => [ 'Transfer' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'PushAll' => [ 'Bıploğné' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'PushAll' => [ 'پوش' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'PushAll' => [ 'Pouse' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'PushAll' => [ 'Transferer' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'PushAll' => [ 'Spingi' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'PushAll' => [ 'プッシュ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'PushAll' => [ '밀기' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'PushAll' => [ 'نیائن' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'PushAll' => [ 'Префрли' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'PushAll' => [ 'ഉന്തുക' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'PushAll' => [ 'Dytt' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'PushAll' => [ 'Deursturen' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'PushAll' => [ 'Doorsturen' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'PushAll' => [ 'Spingi' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'PushAll' => [ 'Đẩy' ],
];

/** Chinese (中文) */
$specialPageAliases['zh'] = [
	'PushAll' => [ '推送', '推播' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'PushAll' => [ '推送' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'PushAll' => [ '推播' ],
];
